ImageLoaderSVG (Apache FOP 2.7 API)
Date: 2022-01-12

org.apache.fop.image.loader.batik

## Class ImageLoaderSVG

- java.lang.Object
- - org.apache.xmlgraphics.image.loader.impl.AbstractImageLoader
  - - org.apache.fop.image.loader.batik.ImageLoaderSVG

- All Implemented Interfaces:
    org.apache.xmlgraphics.image.loader.spi.ImageLoader

      public class ImageLoaderSVG
      extends org.apache.xmlgraphics.image.loader.impl.AbstractImageLoader

  ImageLoader for SVG (using Apache Batik).

- - ### Field Summary

    - ### Fields inherited from interface org.apache.xmlgraphics.image.loader.spi.ImageLoader

      `MEDIUM_LOADING_PENALTY, NO_LOADING_PENALTY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ImageLoaderSVG(org.apache.xmlgraphics.image.loader.ImageFlavor targetFlavor)` Main constructor.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.apache.xmlgraphics.image.loader.ImageFlavor` | `getTargetFlavor()`
    `org.apache.xmlgraphics.image.loader.Image` | `loadImage(org.apache.xmlgraphics.image.loader.ImageInfo info, java.util.Map hints, org.apache.xmlgraphics.image.loader.ImageSessionContext session)`

    - ### Methods inherited from class org.apache.xmlgraphics.image.loader.impl.AbstractImageLoader

      `getUsagePenalty, ignoreColorProfile, loadImage`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ImageLoaderSVG

          public ImageLoaderSVG(org.apache.xmlgraphics.image.loader.ImageFlavor targetFlavor)

      Main constructor.
      Parameters:
        `targetFlavor` - the target flavor

  - ### Method Detail

    - #### getTargetFlavor

          public org.apache.xmlgraphics.image.loader.ImageFlavor getTargetFlavor()

    - #### loadImage

          public org.apache.xmlgraphics.image.loader.Image loadImage(org.apache.xmlgraphics.image.loader.ImageInfo info,
                                                                     java.util.Map hints,
                                                                     org.apache.xmlgraphics.image.loader.ImageSessionContext session)
                                                              throws org.apache.xmlgraphics.image.loader.ImageException,
                                                                     java.io.IOException

      Throws:
        `org.apache.xmlgraphics.image.loader.ImageException`
        `java.io.IOException`

Copyright 1999-2022 The Apache Software Foundation. All Rights Reserved.